// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: regulatormodule/regulatormodule.proto

package openfmb.regulatormodule;

public interface DirectionalATCCOrBuilder extends
    // @@protoc_insertion_point(interface_extends:regulatormodule.DirectionalATCC)
    com.google.protobuf.MessageOrBuilder {

  /**
   * <pre>
   * Control (secondary) voltage bandwidth (i.e., range), given either as voltage value or percentage
   * of the nominal voltage (forward power flow presumed).
   * </pre>
   *
   * <code>.commonmodule.PhaseAPC BndWid = 1;</code>
   * @return Whether the bndWid field is set.
   */
  boolean hasBndWid();
  /**
   * <pre>
   * Control (secondary) voltage bandwidth (i.e., range), given either as voltage value or percentage
   * of the nominal voltage (forward power flow presumed).
   * </pre>
   *
   * <code>.commonmodule.PhaseAPC BndWid = 1;</code>
   * @return The bndWid.
   */
  openfmb.commonmodule.PhaseAPC getBndWid();
  /**
   * <pre>
   * Control (secondary) voltage bandwidth (i.e., range), given either as voltage value or percentage
   * of the nominal voltage (forward power flow presumed).
   * </pre>
   *
   * <code>.commonmodule.PhaseAPC BndWid = 1;</code>
   */
  openfmb.commonmodule.PhaseAPCOrBuilder getBndWidOrBuilder();

  /**
   * <pre>
   * Time to wait before operating, after reaching the control point (forward power flow presumed).
   * </pre>
   *
   * <code>.commonmodule.PhaseISC CtlDlTmms = 2;</code>
   * @return Whether the ctlDlTmms field is set.
   */
  boolean hasCtlDlTmms();
  /**
   * <pre>
   * Time to wait before operating, after reaching the control point (forward power flow presumed).
   * </pre>
   *
   * <code>.commonmodule.PhaseISC CtlDlTmms = 2;</code>
   * @return The ctlDlTmms.
   */
  openfmb.commonmodule.PhaseISC getCtlDlTmms();
  /**
   * <pre>
   * Time to wait before operating, after reaching the control point (forward power flow presumed).
   * </pre>
   *
   * <code>.commonmodule.PhaseISC CtlDlTmms = 2;</code>
   */
  openfmb.commonmodule.PhaseISCOrBuilder getCtlDlTmmsOrBuilder();

  /**
   * <pre>
   * Line drop voltage due to line resistance component (forward power flow presumed) at rated current.
   * </pre>
   *
   * <code>.commonmodule.PhaseAPC LDCR = 3;</code>
   * @return Whether the lDCR field is set.
   */
  boolean hasLDCR();
  /**
   * <pre>
   * Line drop voltage due to line resistance component (forward power flow presumed) at rated current.
   * </pre>
   *
   * <code>.commonmodule.PhaseAPC LDCR = 3;</code>
   * @return The lDCR.
   */
  openfmb.commonmodule.PhaseAPC getLDCR();
  /**
   * <pre>
   * Line drop voltage due to line resistance component (forward power flow presumed) at rated current.
   * </pre>
   *
   * <code>.commonmodule.PhaseAPC LDCR = 3;</code>
   */
  openfmb.commonmodule.PhaseAPCOrBuilder getLDCROrBuilder();

  /**
   * <pre>
   * Line drop voltage due to line reactance component (forward power flow presumed) at rated current.
   * </pre>
   *
   * <code>.commonmodule.PhaseAPC LDCX = 4;</code>
   * @return Whether the lDCX field is set.
   */
  boolean hasLDCX();
  /**
   * <pre>
   * Line drop voltage due to line reactance component (forward power flow presumed) at rated current.
   * </pre>
   *
   * <code>.commonmodule.PhaseAPC LDCX = 4;</code>
   * @return The lDCX.
   */
  openfmb.commonmodule.PhaseAPC getLDCX();
  /**
   * <pre>
   * Line drop voltage due to line reactance component (forward power flow presumed) at rated current.
   * </pre>
   *
   * <code>.commonmodule.PhaseAPC LDCX = 4;</code>
   */
  openfmb.commonmodule.PhaseAPCOrBuilder getLDCXOrBuilder();

  /**
   * <pre>
   * (controllable) Voltage setpoint. Analog value (MX) feeds back the setpoint of the controller.
   * </pre>
   *
   * <code>.commonmodule.PhaseAPC VolSpt = 5;</code>
   * @return Whether the volSpt field is set.
   */
  boolean hasVolSpt();
  /**
   * <pre>
   * (controllable) Voltage setpoint. Analog value (MX) feeds back the setpoint of the controller.
   * </pre>
   *
   * <code>.commonmodule.PhaseAPC VolSpt = 5;</code>
   * @return The volSpt.
   */
  openfmb.commonmodule.PhaseAPC getVolSpt();
  /**
   * <pre>
   * (controllable) Voltage setpoint. Analog value (MX) feeds back the setpoint of the controller.
   * </pre>
   *
   * <code>.commonmodule.PhaseAPC VolSpt = 5;</code>
   */
  openfmb.commonmodule.PhaseAPCOrBuilder getVolSptOrBuilder();

  /**
   * <pre>
   * Enable voltage set point
   * </pre>
   *
   * <code>.commonmodule.PhaseDPC voltageSetPointEnabled = 6;</code>
   * @return Whether the voltageSetPointEnabled field is set.
   */
  boolean hasVoltageSetPointEnabled();
  /**
   * <pre>
   * Enable voltage set point
   * </pre>
   *
   * <code>.commonmodule.PhaseDPC voltageSetPointEnabled = 6;</code>
   * @return The voltageSetPointEnabled.
   */
  openfmb.commonmodule.PhaseDPC getVoltageSetPointEnabled();
  /**
   * <pre>
   * Enable voltage set point
   * </pre>
   *
   * <code>.commonmodule.PhaseDPC voltageSetPointEnabled = 6;</code>
   */
  openfmb.commonmodule.PhaseDPCOrBuilder getVoltageSetPointEnabledOrBuilder();
}
